package chart_theme_type

import "hongze/hongze_yb/global"

// GetChartThemeTypeByChartTypeAndSource
// @Description: 通过图表类型和来源获取类型
// @author: Roc
// @datetime 2023-12-14 09:53:58
// @param chartThemeTypeId int
// @return item *ChartThemeType
// @return err error
func GetChartThemeTypeByChartTypeAndSource(chartType, source int) (item *ChartThemeType, err error) {
	sql := `SELECT * FROM chart_theme_type where chart_type = ? AND chart_source = ? `
	err = global.MYSQL["data"].Raw(sql, chartType, source).First(&item).Error

	return
}
